Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class DateOrDateTimePeriod1Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.DateOrDateTimePeriod1Choice

    public class DateOrDateTimePeriod1Choice
    extends java.lang.Object

Java class for DateOrDateTimePeriod1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateOrDateTimePeriod1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}DatePeriod2"/>
             <element name="DtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}DateTimePeriod1"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected DatePeriod2` `dt`
`protected DateTimePeriod1` `dtTm`

### Constructor Summary

Constructors
`DateOrDateTimePeriod1Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DatePeriod2` `getDt()` Gets the value of the dt property.
`DateTimePeriod1` `getDtTm()` Gets the value of the dtTm property.
`void` `setDt​(DatePeriod2 value)` Sets the value of the dt property.
`void` `setDtTm​(DateTimePeriod1 value)` Sets the value of the dtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dt

    protected DatePeriod2 dt

#### dtTm

    protected DateTimePeriod1 dtTm

### Constructor Detail

#### DateOrDateTimePeriod1Choice

    public DateOrDateTimePeriod1Choice()

### Method Detail

#### getDt

    public DatePeriod2 getDt()

Gets the value of the dt property.

Returns:
  possible object is `DatePeriod2`

#### setDt

    public void setDt​(DatePeriod2 value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DatePeriod2`

#### getDtTm

    public DateTimePeriod1 getDtTm()

Gets the value of the dtTm property.

Returns:
  possible object is `DateTimePeriod1`

#### setDtTm

    public void setDtTm​(DateTimePeriod1 value)

Sets the value of the dtTm property.

Parameters:
  `value` - allowed object is `DateTimePeriod1`